# domain

A domain is a collection of users, groups, and projects. Each group and project is owned by exactly one domain. Applies to Identity v3.

## domain create

Create new domain

    openstack domain create
        [--description <description>]
        [--enable
        |
        --disable
        ]
        [--or-show]
        [--immutable
        |
        --no-immutable
        ]
        <domain-name>

--description <description>

  New domain description

--enable

  Enable domain (default)

--disable

  Disable domain

--or-show

  Return existing domain

--immutable

  Make resource immutable. An immutable project may not be deleted or modified except to remove the immutable flag

--no-immutable

  Make resource mutable (default)

domain-name

  New domain name

## domain delete

Delete domain(s)

    openstack domain delete <domain> [<domain> ...]

domain

  Domain(s) to delete (name or ID)

## domain list

List domains

    openstack domain list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--name <name>]
        [--enabled]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--name <name>

  The domain name

--enabled

  The domains that are enabled will be returned

## domain set

Set domain properties

    openstack domain set
        [--name <name>]
        [--description <description>]
        [--enable | --disable]
        [--immutable
        |
        --no-immutable
        ]
        <domain>

--name <name>

  New domain name

--description <description>

  New domain description

--enable

  Enable domain

--disable

  Disable domain

--immutable

  Make resource immutable. An immutable project may not be deleted or modified except to remove the immutable flag

--no-immutable

  Make resource mutable (default)

domain

  Domain to modify (name or ID)

## domain show

Display domain details

    openstack domain show <domain>

domain

  Domain to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.